#include <stdio.h>

int main () {

  int n, i, j, k;

  scanf("%d", &n);

  if (n<=0) {
    return printf("-1\n"); }
 

  for (i=0;i<n;i++) {
    for (j=0;j<n-i;j++) {
      printf(" ");
    }
    for (k=1;k<=i*2+1;k++) {
      if (k%2!=0)
	printf("*");
      else 
	printf("A");
    }
    printf("\n");
  }
  return 0;
}
